geos::operation::predicate Namespace Reference

Classes which implement topological predicates optimized for particular kinds of geometries. More...

## Classes

class | RectangleContains
| Optimized implementation of spatial predicate "contains" for cases where the first Geometry is a rectangle. More...
class | RectangleIntersects
| Optimized implementation of the "intersects" spatial predicate for cases where one Geometry is a rectangle. More...
class | SegmentIntersectionTester
| Tests if any line segments in two sets of CoordinateSequences intersect. More...

## Detailed Description

Classes which implement topological predicates optimized for particular kinds of geometries.